## speed

speed

## Properties

gfloat | speed | Read / Write / Construct

## Types and Values

struct | GstSpeed

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstSpeed

## Description

Plays an audio stream at a different speed (by resampling the audio).

Do not use this element. Either use the 'pitch' element, or do a seek with a non-1.0 rate parameter, this will have the same effect as using the speed element (but relies on the decoder/demuxer to handle this correctly, also requires a fairly up-to-date gst-plugins-base, as of February 2007).

#### Example launch line

    1

    gst-launch-1.0 filesrc location=test.ogg ! decodebin ! audioconvert ! speed speed=1.5 ! audioconvert ! audioresample ! autoaudiosink

Plays an .ogg file at 1.5x speed.

## Synopsis

### Element Information

plugin | speed
author | Andy Wingo <apwingo@eos.ncsu.edu>, Tim-Philipp Müller <tim@centricular.net>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ F32LE, S16LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ F32LE, S16LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstSpeed

    struct GstSpeed;

## Property Details

### The `“speed”` property

      “speed”                    gfloat

speed.

Flags: Read / Write / Construct

Allowed values: [0.1,40]

Default value: 1